Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		netpanzer
Version:	0.8.2
Release:	1
License:	GNU/GPL 
URL:		http://netpanzer.berlios.de
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-data-0.8.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is an online multiplayer tactical warfare game.
BuildRequires:	jam 
BuildRequires:  physfs-devel
BuildRequires:  SDL-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel



%description
Netpanzer is an online multiplayer tactical warfare game designed for FAST ACTION combat.
Gameplay concentrates on the core -- no resource management is needed.
The game is based on quick tactical action and unit management in real-time.
Battles progress quickly and constantly as destroyed players respawn with a set of new units.
Players can join or leave multiplayer games at any time.
For more details see: %{url}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
cd $RPM_BUILD_DIR
tar xvfj %{SOURCE1}

%build
unset CFLAGS
unset CXXFLAGS
cd $RPM_BUILD_DIR/%{name}-%{version}
%configure
jam
cd $RPM_BUILD_DIR/%{name}-data-0.8
%configure
jam

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
(jam -s libdir=$RPM_BUILD_ROOT%{_libdir} -s bindir=$RPM_BUILD_ROOT%{_bindir} -s icondir=$RPM_BUILD_ROOT%{_datadir}/pixmaps/ -s applicationsdir=$RPM_BUILD_ROOT%{_datadir}/applications/ install)
cd $RPM_BUILD_DIR/%{name}-data-0.8
(jam -s bindir=$RPM_BUILD_ROOT%{_bindir} -s datadir=$RPM_BUILD_ROOT%{_datadir} install)
sed -i "s:Icon=netpanzer.png:Icon=/usr/share/pixmaps/netpanzer.png:" $RPM_BUILD_ROOT%{_datadir}/applications/netpanzer.desktop
sed -i "s:Exec=netpanzer:Exec=/usr/bin/netpanzer:" $RPM_BUILD_ROOT%{_datadir}/applications/netpanzer.desktop
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cp $RPM_BUILD_DIR/%{name}-%{version}/docs/*.6 $RPM_BUILD_ROOT%{_mandir}/man6

%files
%defattr(-,root,root)
%doc COPYING README TODO RELNOTES docs/*.txt docs/*.html
/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.2-1
- Version update
* Tue Sep 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8-2
- rebuilt against physfs 1.0.1
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.8-1
- Initial Release  
